NEWS for bsd-games and bsd-games-non-free
=========================================

This file contains a summary of changes in each version of bsd-games
and bsd-games-non-free after 1.3.  For fuller details, see ChangeLog
and ChangeLog.0.

As well as reading this summary, it is a good idea to reread the
INSTALL file whenever installing a new version, to check for any
changes in installation instructions.  Packagers should also reread
the PACKAGING file each version (or do a diff between the old and new
versions of the package and read that).

Version 2.17 (2005-02-18)
============

* Updated from NetBSD CVS of 2005-02-18.

* Some bugs fixed (in particular, should now build with current GCC 4
CVS), some backlogged.

Version 2.16 (2004-02-13)
============

* Updated from NetBSD CVS of 2004-02-13.  Includes a new game, dab
(Dots and Boxes), written in C++.

* Supplementary documentation for trek and rogue now installed
automatically (in a configurable directory).

* Some changes for portability to Cygwin, thanks to David A Bagley
<bagleyd@tux.org>; more portability issues remain.

* Various improvements to morse from OpenBSD.

* Some bugs fixed, some backlogged.

Version 2.15 (2003-12-18)
============

* Updated from NetBSD CVS of 2003-12-17.  This includes:

  + Advertising clause removed from licence of almost all
  UCB-copyright code.

  + Hunt licence clarified.

* Various bugs fixed, though some bug reports are still backlogged.

* Glibc 2.3 or later now required, at least for hunt.

* Directory for fortune files individually configurable, and default
has changed to match that used in NetBSD.

Version 2.14 (2003-04-01)
============

* Hack is now BSD-licensed
<http://www.cwi.nl/~aeb/games/hack/hack.html>, so moves from
bsd-games-non-free to bsd-games.

* Updated from NetBSD CVS of 2003-03-29.  This includes:

  + Security fix for rogue (in bsd-games-non-free); see NetBSD
  Security Advisory 2002-021.

  + Optional support for large numbers in factor using libcrypto from
  OpenSSL.  This can handle larger numbers than GNU factor (which is
  limited to 64-bit numbers) but not that much larger efficiently, as
  the algorithm used (Pollard rho) is O(n^{1/4}) in the number
  factored.

* Some bugs fixed, though a backlog of bug reports remains.

Version 2.13 (2001-08-30)
============

* Warning now present in README about the inclusion of cryptographic
software (caesar and rot13).

* Various minor improvements and bugfixes, some from NetBSD, some from
OpenBSD, some from other contributors.  Current with NetBSD CVS of
2001-08-29.

* Some fixes to avoid some warnings when compiling with current glibc
and GCC 3.

* May support GNU Hurd (untested).

Version 2.12 (2000-09-25)
============

* Improvements and bugfixes to battlestar, mainly from OpenBSD.
Though there are still plenty of known bugs, it should be much harder
to crash.

* Should compile with glibc 2.2 (tested with 2.1.94).

* Other minor changes and bugfixes; current with NetBSD CVS of
2000-09-25.

Version 2.11 (2000-04-19)
============

* bsd-games-non-free now includes hack 1.0.3 by Andries Brouwer; this
may be of interest to nethack players wishing to play an ancestral
game.

* Various minor changes and bugfixes; current with NetBSD CVS of
2000-04-19.

Version 2.10 (2000-02-12)
============

* Avoid world-readable characs file in phantasia.  Note the new
configuration question which will need an appropriate answer,
especially if packaging for a distribution.

* Various minor bugfixes.

* Essentially all relevant changes, except to hunt (which will
eventually be replaced by the OpenBSD version), now merged back into
NetBSD.

* Some minor changes from NetBSD CVS of 2000-02-12.

* No new bsd-games-non-free version; bsd-games-non-free 2.8 is still
current.

Version 2.9 (1999-11-12)
===========

* Fixes various minor bugs reported recently.

* Some minor changes from NetBSD CVS of 1999-11-12.

* No new bsd-games-non-free version; bsd-games-non-free 2.8 is still
current.

Version 2.8 (1999-09-26)
===========

* Robots scorefile format has changed - remove or rename your old
score file when upgrading to this version.

* Various minor changes and bug-fixes (some from OpenBSD).

* Snake substantially cleaned up, and now uses the native curses
interface (rather than termcap emulation in ncurses); backgammon and
tetris still to be converted.

* New "game": wtf.

* Updated from NetBSD CVS of 1999-09-25; many more changes merged back
into NetBSD.

* All constant data files are now architecture independent (installed
under /usr/share by default).

* bsd-games is no longer tested by me with libc older than glibc
2.1.2; fixes for compilation with older libc will still be accepted.

* Details of the copyrights and licence terms applicable to these
games, as best as I can determine them, now appear in COPYING.

* bsd-games no longer comes with its own word list for boggle and
hangman; you need to provide one at compile time (for boggle) and at
run time (for hangman).  The copyright status of the one formerly
included was not entirely clear.  The word list used by hangman can
also now be specified at run time with the new "-d" option.

* bsd-games now has a testsuite (for programs that can be tested
non-interactively only).

Version 2.7 (1999-04-04)
===========

* Bug fixes.

* Updated from NetBSD-current of 1999-03-26; more changes merged back
into NetBSD.

* Other minor changes.

Version 2.6 (1998-12-20)
===========

* Buffer overrun fixes in sail (not thought exploitable).

* Fixes possible score file corruption if fds 0, 1, 2 aren't open at
game startup.

* Updated from NetBSD-current of 1998-12-07 (morse now has a decoding
option).

* Now builds cleanly with -Wwrite-strings.

* Other minor changes.

* Some users of this package may be interested in my "nppt" package,
which provides an alternative implementation of ppt(6) with additional
features such as Encapsulated PostScript output.  (This package
installs the binary as "nppt", so can be installed simultaneously with
this one.  Look for nppt-0.1.tar.gz (or a later version) on
metalab.unc.edu (formerly sunsite) in /pub/Linux/Incoming/ or under
/pub/Linux/games/.)

Version 2.5 (1998-09-24)
===========

* New build system, using a single project Makefile (autogenerated)
that includes makefile fragments from subdirectories, and uses GNU
Make's automatic dependency generation to generate dependencies
automatically, rather than recursive make.  See Peter Miller's paper
"Recursive Make Considered Harmful"
<http://www.canb.auug.org.au/~millerp/rmch/recu-make-cons-harm.html>
for reasons why this is better than recursive make.  This should make
no difference to normal users, but if you modify the sources note that
you will need to rebuild from the top directory, and you may find that
the dependencies are now accurate whereas formerly they were
incomplete.  The automatic dependency generation causes the build to
start with about 300 "no such file or directory" warnings, which
should be ignored: these refer to the dependency files which GNU Make
will then automatically generate.

* Should work with glibc 2.1 (at least, version 2.0.96 on x86, which
is what I've tested).  See the ChangeLog for an explanation of the
problem previous releases had with glibc 2.1.

* Boggle is now in the main bsd-games package - Paul Janzen checked
with the original author, who confirmed that the BSD licence
superseded the old non-free one.  bsd-games-non-free now only contains
rogue.

* Other minor changes.

Version 2.4 (1998-09-05)
===========

* Various minor bug fixes and improvements (some from OpenBSD, thanks
to Paul Janzen <pjanzen@foatdi.harvard.edu>).

* Sail directory can now be non-world-accessible (mode 2770 root.games
or similar).  This may improve security, since it means users cannot
tamper with sync files their sail process creates.

* Rogue buffer overrun fix.  An audit is still needed.

* dm now ignores the environment variable TZ when deciding at what
times games can be played.  (This only affects you if you are using dm
to control at what times games can be played, and not then if you are
using libc 5.4.45 or 5.4.46 (which completely ignore TZ in setgid
programs rather than checking the validity of any filename given as
glibc does).)

* All games updated from NetBSD-current of 1998-08-30 (minor changes;
some more of my changes have been merged back into NetBSD).

Version 2.3 (1998-08-19)
===========

* A possible temporary file security bug in sail fixed.

* Countmail is back, with a licence (apparently the standard NetBSD
one), since it has one in NetBSD-current of 1998-08-19.

* All the other games updated from NetBSD-current of 1998-08-19 (minor
changes).

* Other minor changes.

* Version 2.2 was never properly released, since the upload to sunsite
was truncated and the sail hole was found before the truncated file
had been removed or the release put in place on tsx-11.

Version 2.2 (1998-08-15)
===========

* Another bug-fix release.

* This version includes security fixes from OpenBSD.

* This release is believed year 2000 compliant.  Please see the year
2000 statement in the file YEAR2000 for details and disclaimer.

* Paranoia has been removed from bsd-games-non-free, since it has no
clear licence at all, and being derived from a magazine article it is
not clear it was ever legally distributable.  Anyone wanting to
resurrect it in a separate package would need to investigate the
copyright on the magazine article as well as getting a proper licence
from the author.

* Countmail has been removed from bsd-games because of the lack of a
licence.

* All other games updated from NetBSD-current of 1998-07-27 (very
minor changes).

* Default paths now follow FHS 2.0 - enter the paths you want when
running configure if you are using the FSSTND 1.2.

* You can now easily specify games you don't want built when running
configure.

* All games that can invoke pagers handle PAGER in the way specified
by POSIX.2 for standard programs that invoke pagers.

* Rogue bug fix from Bill Lash <lash@tellabs.com>.

* Other bug fixes.

* Information for those packaging bsd-games or bsd-games-non-free for
a Linux distribution is in the file PACKAGING.

Version 2.1 (1998-03-29)
===========

* This is mainly a bug-fix release.

* All games updated to NetBSD-current as of 1998-03-21 (except for
paranoia).  The changes are mostly minor, replacing warning fixes
local to bsd-games with ones now in NetBSD.

* Some bugs fixed, and most of the additional warnings given by the
current egcs snapshot fixed as well.

* Configuration / installation change - to strip the installed
binaries, use "make install-strip" instead of "make install"; this
replaces the configuration option for "make install" to strip the
installed binaries.

* Manpages for wargames and paranoia, thanks to Joey Hess
<joeyh@kitenet.net>.

* Battlestar save file name can be chosen at runtime, and defaults to
".Bstar" instead of "Bstar" for cleaner directory listings.

Version 2.0 (1997-12-25)
===========

* All games updated to NetBSD-current as of 1997-12-12 (except for
paranoia).  Hunt and boggle are now based on the NetBSD versions.

* Many bugs fixed.

* Added countmail.

* Better libc6 support - adventure should now work.

* No longer uses libbsd with libc5.

* Nearly warning-free compile with -Wall -W -Wstrict-prototypes
-Wmissing-prototypes.

* Hunt now uses internet domain sockets (untested).

Version 1.5 (1997-07-17)
===========

* All games updated to NetBSD-current as of 1997-07-12 (except for
bog, hunt and paranoia).

* Added adventure, banner, dm, phantasia, pig, quiz, random and rogue.
(Rogue is in bsd-games-non-free only).

* BETA level libc6 support.  (It may not yet compile, but should be
nearer to compiling with libc6 than version 1.4.)

Version 1.4 (1997-05-07)
===========

* Fish, fortune and hangman updated to the versions in NetBSD-current.

* Public release.

Version 1.3.4beta (1997-05-06)
=================

* Bug fix in backgammon.

* Backgammon, battlestar, bcd, caesar, canfield, cribbage and factor
updated to the versions in NetBSD-current.  As a side-effect, caesar
now installs a "rot13" script.

* Tetris score file now defaults to tetris-bsd.scores for consistency
with using tetris-bsd in the names of files installed from tetris.
(The rationale of this is that there is more than one Tetris game and
this one should not presume to be the one that takes the
/usr/games/tetris name; that should be a decision for the
administrator, who can reasonably install more than one Tetris game.)
Nor should other files such as the man page or score file potentially
conflict with other Tetris games.  Of course, you can configure the
package to use the old score file name (or any other) if you want.

Version 1.3.3beta (1997-05-03)
=================

* Non-free package now contains all the files required to build on its
own.  It can now be built on its own, or in the same source tree as
bsd-games; the files that appear in both are exact duplicates.

* Bug-fixes in backgammon and sail.

Version 1.3.2beta (1997-05-03)
=================

* Non-free games (bog and paranoia) now distributed separately -
unpack both source packages together before configuring if you want to
build them.

* Configuration script improved: now the default list of games to
build is the list of subdirectories, and you can configure the exact
paths to score files and data files for individual games using it - so
they are always correctly substituted in the manpages.

* Bug-fixes in backgammon, snake and worm.

* Arithmetic and atc updated to the versions in NetBSD-current.

Version 1.3.1beta (1997-05-01)
=================

* Now works with libc 5 ;-).

* Debian patches from Joey Hess <joeyh@master.debian.org> mostly
integrated up to Debian version 1.3-7.

* New ports of tetris and gomoku, thanks to David Frey
<david@eos.lugs.ch>.

* Distributed as source only.

* Many bug-fixes to battlestar.

* Configuration script, now substitutes correct paths in manpages.

* Defaults hopefully closer to FSSTND/FHS.

* Builds with ncurses by default.  Curses/termcap are obsolete and no
longer supported (not that this package is supported anyway ;-)).

Version 1.3 (1993-10-25)
===========

See ChangeLog.0.

Version 1.2 (1993-08-25)
===========

See ChangeLog.0.

Version 1.1 (1993-08-19)
===========

See ChangeLog.0.



Local Variables:
mode: text
End:
